# first determine OSD Language and set translation

REEL=0
STREAM=0

PATH=.:$PATH

if [ -e config.sh ] ; then
  . ./config.sh
else

  if [ -e /usr/bin/kdm ] ; then
  	cat config.tmpl | sed -e s/"^REEL=0"/"REEL=1"/g > config.sh
  else
  	cp config.tmpl config.sh
  fi
  . ./config.sh
fi

if [ -d /etc/vdr ] ; then
  VDRCONF="/etc/vdr"
else
  VDRCONF="/etc/video"
fi

if [ $REEL -eq 0 ] ; then
  CT="Content-type: text/html;charset=iso-8859-15"
else
  CT=$(echo "Content-type: text/html;charset="$CT)
fi

OSDLANG=$(cat $VDRCONF/setup.conf | grep OSDLanguage | cut -d" " -f3)

if [ $(echo $OSDLANG | grep [0-9]) ]; then
  case "$OSDLANG" in
    1) . ./base-language-de
        LANG="ge"           ;;
    3) . ./base-language-it
        LANG="it"           ;;
    4) . ./base-language-du
        LANG="du"           ;;
   	6) . ./base-language-fr
   		 LANG="fr"    ;;
   10) . ./base-language-es
        LANG="es"           ;;
    *) . ./base-language-en
        LANG="en"           ;;
  esac
else
  SHORTLANG=$(echo $OSDLANG | cut -d"_" -f1)
  case "$SHORTLANG" in
    de) . ./base-language-de
        LANG="ge"           ;;
    it) . ./base-language-it
        LANG="it"           ;;
    du) . ./base-language-du
        LANG="du"           ;;
   	fr) . ./base-language-fr
   		 LANG="fr"    ;;
    es) . ./base-language-es
        LANG="es"           ;;
    *) . ./base-language-en
        LANG="en"           ;;
  esac
fi



