#!/bin/sh

echo "<tr><td><table=100%>"
echo "<tr><td>"

RUN=1

# check if /opt in use

if [ -e /etc/default/sysconfig ] ; then
  SYSCONFIG="/etc/default/sysconfig"
else
  SYSCONFIG="/etc/sysconfig"
fi

if [ $(cat $SYSCONFIG | grep USE_OPT | grep -ic yes) -eq 1 ] ; then
  # 1) check directories
  mkdir -p /opt
  mkdir -p /opt/etc
  mkdir -p /opt/etc/init.d
  mkdir -p /opt/etc/init.d/stage10
  
  # 2) check if new checkinstall is called
    
  if [ -e /opt/etc/init.d/stage10/S98-reelhttp-checkinstall ] ; then
    rm /opt/etc/init.d/stage10/S98-reelhttp-checkinstall
  fi
  
  if [ ! -e /opt/etc/init.d/stage10/S98-reelhttp-check ] ; then
    echo "/etc/reelhttp-base/cgi-bin/checkinstall.sh &" > /opt/etc/init.d/stage10/S98-reelhttp-check
    chmod u+x /opt/etc/init.d/stage10/S98-reelhttp-check
  fi
  
  
  # 5.) check tvinfo

  if [ -e /etc/reelhttp-base/cgi-bin/config.sh ] ; then    
  	. /etc/reelhttp-base/cgi-bin/config.sh
  else
  	TVINFOTIMES=""
  fi

  if [ "$TVINFOTIMES" = "" ] ; then
    if [ -e /opt/etc/init.d/stage10/S99-tvinfoimport ] ; then
      rm /opt/etc/init.d/stage10/S99-tvinfoimport
    fi
  else
      if [ ! -e /opt/etc/init.d/stage10/S99-tvinfoimport ] ; then
        echo "/etc/reelhttp-base/cgi-bin/tvinfodaemon.sh &" > /opt/etc/init.d/stage10/S99-tvinfoimport
      fi
       
      chmod ugo+rx /opt/etc/init.d/stage10/S99-tvinfoimport
  fi
  
  # 6) check for old reelhttp
  if [ -d /opt/reelhttp ] ; then
    rm rf /opt/reelhttp
  fi
  

else
  echo "<b>Cannot use full reelhttp because /opt is disabled in setup! ReelHTTP will be used in base Version</b><br>"
fi

# 7) remove streaminglist
if [ -e /tmp/streaminglist ] ; then
  rm /tmp/streaminglist
fi

# 8) check httproot
if [ ! -e /etc/httproot ] ; then
  cd /etc
  ln -s reelhttp-base httproot
fi

# 9) try to make link for ivdr
if [ ! -d /etc/vdr ] ; then
  cd /etc
  ln -s video vdr
fi



echo "</td></tr>"
echo "</table></td></tr>"
