#!/bin/sh

. ./base-config.sh

STREAM=0

echo $CT
echo ""

/bin/cat << EOM
<html>
<head>
<title>$XRECORDS</title>
<link rel="stylesheet" media="screen" type="text/css" href="/screen.css">
<link rel="stylesheet" media="handheld" type="text/css" href="/handheld.css">
</head>
<table class=generic>
EOM

. ./base-menu.sh

echo "<tr><td><table class=generic>"

QUERY_STRING=$(./base-http2text.sh $QUERY_STRING)

CMD=$(echo $QUERY_STRING | cut -d"=" -f1)
NR=$(echo $QUERY_STRING | cut -d"=" -f2)

case "$CMD" in
  info) DATA=$(/sbin/svdrpsend.sh LSTR $NR | tr -s " " "_" | grep ^215)
        echo "<tr><td><table width=100%>"
        echo "<tr><td class=timerdate><a href=/cgi-bin/records.sh?play=$LNR>$XPLAY</a></td>"
        echo "<td class=timerdel valign=right><a href=/cgi-bin/records.sh?del=$NR>$XREMOVE</a></td></table></tr>"
        for i in $DATA
        do
          line=$(echo $i | cut -c5- | tr -s "_" " ")
          TYP=$(echo $line | cut -d" " -f1)
          CONTENT=$(echo $line | cut -d" " -f2-)
          case "$TYP" in
            T)  echo "<tr><td class=timername>$CONTENT</td></tr>" ;;
            S)  echo "<tr><td class=generic><i>$CONTENT</i></td></tr>" ;;
            D)  echo "<tr><td class=generic>$CONTENT</td></tr>" ;;
            X)  echo "<tr><td class=generic>$CONTENT</td></tr>" ;;
            E)  unixtime=$(echo $CONTENT | cut -d" " -f2)
                time=$(echo -n $unixtime | awk '{ print strftime("%c", $0) }')
                durationunix=$(echo $CONTENT | cut -d" " -f3)
                duration=$(echo "$durationunix / 60" | bc)
                echo "<tr><td class=generic>$time ($duration min)</td></tr>" ;;
          esac
        done
        echo "<tr><td><hr></td></tr>"
        echo "</table></td></tr><tr><td><table class=generic>"
        ;;
  play) /sbin/svdrpsend.sh PLAY $NR > /dev/null
        ;;
  del) /sbin/svdrpsend.sh DELR $NR > /dev/null
        ;;
esac

DATA=$(/sbin/svdrpsend.sh LSTR | tr -s " " "_" | grep ^250)

# show records
# first show status
STATUS=$(/sbin/svdrpsend.sh stat disk | grep 250 | cut -d" " -f4)

if [ $REEL -eq 1 ]; then
  echo "<tr><td><b>HDD: $STATUS</b>"
else
  echo "<tr><td><b>∑ $STATUS</b>"
fi

if [ -e /opt/reelhttp-addons/bin/recstreamer.sh ] ; then
  echo "&nbsp;|&nbsp;<a href=/cgi-bin/addon.sh?recstreamer.sh target=$TARGET>Streaming</a>"
fi

echo "</td></tr><tr><td><hr></td></tr>"

# check, if records are changed
chksum=$(echo $DATA | md5sum | cut -d" " -f1)

# set oldsum
if [ -e /tmp/baserecordlist.chk -a -e /tmp/baserecordlist ] ; then
  oldsum=$(cat /tmp/baserecordlist.chk)
else
  oldsum=0
fi

# check if sums equal
if [ $chksum != $oldsum ] ; then
  # need to rebuild list
  echo "<tr><td>$XNEEDTOREBUILD</td></tr>"
  if [ -e /tmp/baserecordlist ] ; then
    rm /tmp/baserecordlist
  fi

  for i in $DATA
  do
    line=$(echo $i | cut -c5- | tr -s "_" " ")
    LNR=$(echo $line | cut -d" " -f1)
    DATE=$(echo $line | cut -d" " -f2)
    TIME=$(echo $line | cut -d" " -f3)
    TITLE=$(echo $line | cut -d" " -f4-)
    echo "<tr>" >> /tmp/baserecordlist
    echo "<td class=timerdatetime>" >> /tmp/baserecordlist
    echo "<a href=/cgi-bin/records.sh?info=$LNR>$XINFO</a>" >> /tmp/baserecordlist
    echo "&nbsp;<a href=/cgi-bin/records.sh?play=$LNR>$XPLAY</a>" >> /tmp/baserecordlist
    echo "&nbsp;&nbsp;&nbsp;$DATE&nbsp;&nbsp;&nbsp;$TIME</td>" >> /tmp/baserecordlist
    echo "<td class=timerdel><a href=/cgi-bin/records.sh?del=$LNR>X</a></td></tr>" >> /tmp/baserecordlist
    echo "<tr><td class=timername>$TITLE<br></td></tr>" >> /tmp/baserecordlist
    echo "<tr><td>&nbsp;</td></tr>" >> /tmp/baserecordlist
  done

  echo $chksum > /tmp/baserecordlist.chk
fi

if [ $REEL -eq 1 ] ; then
  cat  /tmp/baserecordlist
else
  cat /tmp/baserecordlist
fi

echo "</table></td></tr>"

/bin/cat << EOM
</table>
</body> 
</html>
EOM
